/***************************************************************************
                          kwirelessinterface  -  description
                             -------------------
    begin                : Thu oct 21 2004
    copyright            : (C) 2004 by Juan Luis Baptiste
    email                : juan.baptiste@kdemail.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kwirelessinterface.h"

KWirelessInterface::KWirelessInterface()
 : KNetworkInterface()
{
}

KWirelessInterface::~KWirelessInterface()
{
}

TQString KWirelessInterface::getEssid()
{
  return essid;
}

TQString KWirelessInterface::getWepKey()
{
  return wepKey;
}

void KWirelessInterface::setWepKey(TQString newKey)
{
  wepKey = newKey;
}
void KWirelessInterface::setEssid(TQString newEssid)
{
  essid = newEssid;
}

TQString KWirelessInterface::getKeyType()
{
  return keyType;
}

void KWirelessInterface::setKeyType(TQString type)
{
    keyType = type;
}
